# Class DeleteAccountRequest

#### Hierarchy

- unknown
  - DeleteAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:298
- Defined in src/protobuf/grpc_pb.d.ts:307

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DeleteAccountRequest(): DeleteAccountRequest

- #### Returns DeleteAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:299

### toObject

- toObject(includeInstance?: boolean): DeleteAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DeleteAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:300

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DeleteAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DeleteAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:303

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DeleteAccountRequest, reader: BinaryReader): DeleteAccountRequest

- #### Parameters

  - ##### message: DeleteAccountRequest

  - ##### reader: BinaryReader

  #### Returns DeleteAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:304

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DeleteAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DeleteAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:302

### `Static` toObject

- toObject(includeInstance: boolean, msg: DeleteAccountRequest): DeleteAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DeleteAccountRequest

  #### Returns DeleteAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:301

Generated using TypeDoc